Bug 1414392 - Confusing parameter --contents
Summary: Confusing parameter --contents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 12:08 UTC by Tereza Cerna
Modified: 2017-03-21 12:10 UTC (History)
3 users (show)

Fixed In Version: preupgrade-assistant-2.3.2-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-21 12:10:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 0 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Comment 4 Alois Mahdal 2017-01-24 02:27:04 UTC
Seems to me that intent could be to have -s to select path from "installed" ones, and -c to select another ("custom") path.  This is unnecessary duplication, though:  we could just always talk about upgrade paths in terms of directories, making following specifications valid:

    preupg -x /usr/lib/preupgrade/foo
    preupg -x ./bar/baz

and of course, the XML filename is outright superfluous.

That said, there are many more things confusing and inconsistent about the CLI, so I'd prefer for this to be solved as part of greater CLI overhaul, eg. bug 1398488 - [RFE] split preupg binary.

Comment 5 Michal Bocek 2017-02-07 23:25:22 UTC
There is much to be desired in terms of CLI options. I agree the CLI needs and overhaul. Also that options -s and -c are more or less duplicate and there can be just one.

In the meantime, I updated the help and man page so it says what the options actually do: https://github.com/upgrades-migrations/preupgrade-assistant/pull/219.

Comment 7 Alois Mahdal 2017-03-07 23:54:23 UTC
preupgrade-assistant-2.3.2-2.el6 now makes it clear:

      -c ALL_XCCDF_PATH, --contents=ALL_XCCDF_PATH
                            Provide path to all-xccdf.xml of the set of modules
                            which is to be used for assesing the system. By
                            default, if there is just one set in
                            /usr/share/preupgrade, Preupgrade Assistant uses that

Comment 9 errata-xmlrpc 2017-03-21 12:10:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.